MainMenu = gideros.class(Sprite)

function MainMenu:init()

---------------------------------------------------------------
-- DISPLAY SIZE VARIABLES  AND SHIELD FUNCTION
---------------------------------------------------------------
local _H= application:getLogicalWidth()
local _W= application:getLogicalHeight()
local centreX= _W/2
local centreY= _H/2



---------------------------------------------------------------
-- INITIAL DISPLAY OBJECTS
---------------------------------------------------------------
local bg=Bitmap.new(Texture.new("fenceAssets/bg.jpg",true))
self:addChild(bg)

----------------------------
-- Select fence screen button
----------------------------
local goToFenceBtn=Bitmap.new(Texture.new("commonAssets/nextGoBtn.png",true))
goToFenceBtn:setAnchorPoint(1,0)
goToFenceBtn:setX(_W-10)
goToFenceBtn:setY(5)
self:addChild(goToFenceBtn)

-----------------------------------
-- GOTO FENCE SCREEN
-----------------------------------
local function goToFence(self,e)
	if self:hitTestPoint(e.x, e.y) then
		goToFenceBtn:removeEventListener(Event.MOUSE_DOWN,goToFence,exitbtn)
		sceneManager:changeScene("fenceScreen", 0.5, SceneManager.crossfade)	  
		
	end
end

goToFenceBtn:addEventListener(Event.MOUSE_DOWN,goToFence,goToFenceBtn)



end